server.port=8083
spring.application.name=suser
#注册到我们本地的eureka注册中心，端口8081
eureka.client.service-url.defaultZone=http://127.0.0.1:8081/eureka/
#eureka.client.register-with-eureka=false
#eureka.client.fetch-registry=false
#设置eureka输出日志级别
logging.level.com.netflix=error
spring.datasource.url=jdbc:mysql://dbtest.xhkjedu.com:3306/xhkjedu_school_test?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&rewriteBatchedStatements=true&allowMultiQueries=true
spring.datasource.username=root
spring.datasource.password=_xhkjedu!@#07
spring.mvc.hiddenmethod.filter.enabled=true
#数据库连接池配置
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#允许的最小空闲数
spring.datasource.hikari.minimum-idle=5
#连接池最大连接数
spring.datasource.hikari.maximum-pool-size=15
spring.datasource.hikari.auto-commit=true
#空闲超时是 180000 毫秒，当数据库连接的空闲时间大于180000毫秒时，这些空闲超时的连接会被关闭，直到超时的空闲连接数达到 minimum-idle的值
spring.datasource.hikari.idle-timeout=180000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=1800000
#连接超时时间设置，默认是30s
spring.datasource.hikari.connection-timeout=20000
# 测试连接是否可用的query 语句 在oracle是 select 1 from dual  36   28.26
spring.datasource.hikari.connection-test-query=SELECT 1
# 所有Entity别名类所在包
mybatis.type-aliases-package=com.xhkjedu.suser.model,com.xhkjedu.suser.vo
mybatis.mapper-Locations=classpath*:mapper/**/*.xml
mapper.mappers=com.xhkjedu.suser.base.TkMapper
mapper.identity=MYSQL
#打印日志
logging.level.com.xhkjedu.suser.mapper=debug
#分页
spring.pagehelper.helper-dialect=mysql
#redis配置
spring.redis.host=cachetest.xhkjedu.com
spring.redis.port=6379
spring.redis.password=xhkjedud07
#超时时间：单位ms
spring.redis.timeout=5000
#设置过期时间10min
spring.redis.jedis.pool.max-idle=300
#最大等待时间：单位ms //高版本改为maxWaitMillis
spring.redis.jedis.pool.max-wait=1000000
spring.redis.jedis.pool.max-active=60000
#缓存访问数据有效时长60*60*24*7
redisdatatime=604800
#secretKey必须为24位
secretKey=nanhuakaizhangjianwangni
#助通科技短信配置
zt.username=xinghuo666
zt.password=jUTEBk6e
zt.url=http://api.mix2.zthysms.com/
signName=【河南星火燎原】
#郑州管城大数据SSO认证鉴权接口
ssourl=http://gcdsj.zzgcjy.cn/portal/sso/api/agent
#版本号
versionname=Test_v3.3.1
